### Method

# FwupdPlugin Firmware set_bytes

since: 1.6.0

#### Declaration [src]

    void
    fu_firmware_set_bytes (
      FuFirmware* self,
      GBytes* bytes
    )

#### Description [src]

Sets the contents of the image if not created with fu_firmware_new_from_bytes().

Available since: 1.6.0

#### Parameters

`bytes`

  Type: `GBytes`

  Data blob.

  The data is owned by the caller of the method.